<template name='editable'>
  <div class="editable-wrap {{wrapClasses}} {{errorClass 'input'}}">
    <div
         class="js-editable editable {{editableClasses}} {{#if characterLimitReached}}is-invalid{{/if}}">
    </div>
    {{#if characterLimitReached}}
    	{{#if showControls}}
      		<div class="invalid-feedback">
        		{{i18n '_inputField.maxlength' NUMBER=removeNumberOfCharacters MAXNUMBER=maxlength}}
      		</div>
		{{else}}
      		<div class="invalid-feedback">
        		{{i18n '_inputField.maxlength.notEditing' 'There are too many characters here. You should edit it.'}}
      		</div>
    	{{/if}}
    {{/if}}
    {{#unless showControls}}
      <span class="fa-solid fa-pencil editable-icon js-editable-edit"></span>
    {{/unless}}
    {{errorMessage 'input'}}
  </div>
  {{#if showControls}}
    <div class='editable-controls'>
      {{#unless characterLimitReached}}
        {{> buttonSave event="js-editable-save"}}
      {{/unless}}
      {{> buttonCancel event="js-editable-cancel"}}
    </div>
  {{/if}}
</template>
